Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1564977 - Initiator does not reply after establishing ipsec sa with esn=yes
Summary: Initiator does not reply after establishing ipsec sa with esn=yes
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreswan
Version: 7.5-Alt
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Paul Wouters
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 05:29 UTC by Wei Chen
Modified: 2018-08-22 09:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 09:02:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Paul Wouters 2018-04-10 11:16:37 UTC
wireshark shows:

06:29:44.186298 IP6 fe80::200:10ff:fe10:1060 > ff02::1: ICMP6, router advertisement, length 48
06:29:52.275013 IP6 3000::215:17ff:fe37:13cd.isakmp > 3001::200:10ff:fe10:1180.isakmp: isakmp: parent_sa ikev2_init[I]
06:29:52.275068 IP6 3001::200:10ff:fe10:1180 > 3000::215:17ff:fe37:13cd: ICMP6, destination unreachable, unreachable port, 3001::200:10ff:fe10:1180 udp port isakmp, length 364
06:29:52.311652 IP6 3001::200:10ff:fe10:1180.isakmp > 3000::215:17ff:fe37:13cd.isakmp: isakmp: parent_sa ikev2_init[R]
06:29:52.315238 IP6 3000::215:17ff:fe37:13cd.isakmp > 3001::200:10ff:fe10:1180.isakmp: isakmp: child_sa  ikev2_auth[I]
06:29:52.315280 IP6 3001::200:10ff:fe10:1180 > 3000::215:17ff:fe37:13cd: ICMP6, destination unreachable, unreachable port, 3001::200:10ff:fe10:1180 udp port isakmp, length 308
06:29:52.348028 IP6 3001::200:10ff:fe10:1180.isakmp > 3000::215:17ff:fe37:13cd.isakmp: isakmp: child_sa  ikev2_auth[R]
06:29:53.507980 IP6 3001::200:10ff:fe10:1180 > 3000::215:17ff:fe37:13cd: ESP(spi=0xa09d654e,seq=0x1), length 44
06:29:57.333008 IP6 fe80::215:17ff:fe71:2ec3 > 3000::215:17ff:fe37:13cd: ICMP6, neighbor solicitation, who has 3000::215:17ff:fe37:13cd, length 32
06:29:57.333266 IP6 3000::215:17ff:fe37:13cd > fe80::215:17ff:fe71:2ec3: ICMP6, neighbor advertisement, tgt is 3000::215:17ff:fe37:13cd, length 24
06:29:57.334243 IP6 fe80::215:17ff:fe37:13cd > 3001::200:10ff:fe10:1180: ICMP6, neighbor solicitation, who has 3001::200:10ff:fe10:1180, length 32
[...]

This does not seem related to ESN at all. It seems more related to our builtin exception that ensures v6 neighbour discovery happens in the clear


Note You need to log in before you can comment on or make changes to this bug.